﻿numLongLines=prompt( 'How many longitude lines?','72' );
longAngle=360/numLongLines;
numLatLines=prompt( 'How many latitude lines?','35' );
latAngle=180/numLatLines;
tilt=prompt( 'Enter axis tilt in degrees','35.25' )*1*(Math.PI/180);
northPoleY=(activeDocument.height/2)+(Math.cos(tilt)*36);
globeCenterY=(activeDocument.height/2);
globeCenterX=(activeDocument.width/2);


//Draw horizon circle
horizon=activeDocument.pathItems.ellipse((globeCenterY+36),(globeCenterX-36),72,72,0,1);

//Draw longLines
for(i=1;i<=numLongLines/2;i++){
	var rot=(longAngle*i)*(Math.PI/180);
	var thrustRun=Math.cos(rot)*72;
	var thrustRise=Math.sin(rot)*Math.sin(tilt)*72;
	var thrustLength=Math.sqrt(thrustRun*thrustRun+thrustRise*thrustRise);
	var thrustInverse=Math.sin(Math.acos(thrustLength/72));
	var minDia=thrustInverse*72;
	var longLine=activeDocument.pathItems.ellipse(globeCenterY+36,globeCenterX-(minDia/2),minDia,72,0,1);
	longLine.rotate(Math.atan(thrustRise/thrustRun)/(Math.PI/180));
	halfHeight=longLine.height/2;
	halfWidth=longLine.width/2
	longLine.top=globeCenterY+halfHeight;
	longLine.bottom=globeCenterY-halfHeight;
	longLine.right=globeCenterX+halfWidth;
	longLine.left=globeCenterX-halfWidth;
}

//Draw latLines
for(i=1;i<=numLatLines;i++){
	var thisLatAngle=(180*Math.PI/180)+((latAngle*i)*(Math.PI/180));
//alert(Math.cos(thisLatAngle));
	var minDia=(Math.sin(tilt))*(Math.sin(thisLatAngle))*72;
	var majDia=72*Math.sin(thisLatAngle);
	var latCenterY=globeCenterY-((Math.cos(thisLatAngle)*36)*Math.cos(tilt));
	var latCenterX=(activeDocument.width/2);
	var latLine=activeDocument.pathItems.ellipse(latCenterY+(minDia/2), latCenterX-(majDia/2),majDia,minDia,0,1);
}